Package com.emc.d2fs.models.zipanddownloadstatusobject

# Class ZipAndDownloadError

java.lang.Object
com.emc.d2fs.models.zipanddownloadstatusobject.ZipAndDownloadError

All Implemented Interfaces:
  `Serializable`

public class ZipAndDownloadError extends Object implements Serializable

Java class for zipAndDownloadError complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="zipAndDownloadError">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="status" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="message" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="details" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZipAndDownloadError()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  Gets the value of the code property.
  `String`
  `getDetails()`
  Gets the value of the details property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getMessage()`
  Gets the value of the message property.
  `int`
  `getStatus()`
  Gets the value of the status property.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setDetails(String value)`
  Sets the value of the details property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setMessage(String value)`
  Sets the value of the message property.
  `void`
  `setStatus(int value)`
  Sets the value of the status property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ZipAndDownloadError

    public ZipAndDownloadError()

- ## Method Details

  - ### getStatus

    public int getStatus()
    Gets the value of the status property.

  - ### setStatus

    public void setStatus(int value)
    Sets the value of the status property.

  - ### getCode

    public String getCode()
    Gets the value of the code property.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMessage

    public String getMessage()
    Gets the value of the message property.
    Returns:
      possible object is `String`

  - ### setMessage

    public void setMessage(String value)
    Sets the value of the message property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDetails

    public String getDetails()
    Gets the value of the details property.
    Returns:
      possible object is `String`

  - ### setDetails

    public void setDetails(String value)
    Sets the value of the details property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`